Saltar al contenido principal
List offloader wallets
curl --request GET \
  --url https://api.spherepay.co/v2/offloader-wallet \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.spherepay.co/v2/offloader-wallet"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.spherepay.co/v2/offloader-wallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "wallet_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6",
      "customerId": "customer_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6",
      "address": "0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97",
      "currency": "usdc",
      "network": "ethereum",
      "status": "active",
      "destination": {
        "bankAccountId": "bankAccount_6221e8d4299f4a889bd882255e92f581",
        "currency": "usd",
        "network": "ach",
        "achReference": "REF123"
      },
      "fees": {
        "integratorFee": {
          "bpsRate": "100",
          "currency": "usdc"
        },
        "platformFee": {
          "bpsRate": "30",
          "currency": "usdc"
        }
      },
      "created": "2024-06-15T10:30:00.000Z",
      "updated": "2024-06-15T12:00:00.000Z",
      "returnAddress": "0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 10,
    "total": 1,
    "totalPages": 1,
    "hasNext": false,
    "hasPrevious": false
  }
}
{
"status": 400,
"detail": "Invalid request parameters",
"code": "address/invalid",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c"
}
{
"status": 404,
"detail": "Resource not found",
"code": "resource/not-found",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c"
}
{
"status": 422,
"detail": "Validation failed",
"code": "validation/failed",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"errors": [
{
"detail": "Invalid email format",
"pointer": "/email"
},
{
"detail": "Name is required",
"pointer": "/name"
}
]
}
Recupera una lista paginada de todos los Offloader Wallets en tu cuenta. Usa el parámetro de consulta customerId para filtrar los resultados a un único cliente. Este endpoint es útil para auditar configuraciones de billeteras, conciliar direcciones on-chain con cuentas bancarias de destino, o construir una interfaz de gestión de billeteras orientada al cliente.

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de consulta

page
string
predeterminado:1
requerido

Page number of the list (default: 1)

Ejemplo:

1

limit
string
predeterminado:10
requerido

Number of items per page (default: 10)

Ejemplo:

10

customerId
string

Filter offloader wallets by customer ID. Only wallets belonging to this customer will be returned.

Ejemplo:

"customer_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"

Respuesta

data
object[]
requerido

Array of offloader wallet objects.

pagination
object
requerido
Última modificación el 22 de junio de 2026